Get Workflows By Id
Get workflows by a ID
GET/v0/workflows/{workflow_id}
Authorisations
AuthorizationString
Path Parameters
workflow_idstringrequired
Unique UUID identifier for the target workflowQuery Parameters
project_idstringrequired
Project identifier that the workflow belongs toResponse
OKapplication/json
idstring
Unique identifier for the workflowestimated_costinteger
Token cost estimated for this workflownamestring
Display name of the workflowcreated_bystring
Identifies the user who created this workflowdescriptionstring
Provides details about the workflow's purposespecinteger[]
Contains the raw specification data for the workflowcreated_atstring
Timestamp when the workflow was createdupdated_atstring
Timestamp when the workflow was last modifiedval_errorsobject[]
Validation errors encountered with this workflowproject_idstring
Identifier of the project this workflow belongs toGet Workflows By Id
1curl -X GET 'https://api.pixxel.space/v0/workflows/{workflow_id}' \2 -H 'Authorization: YOUR_API_KEY'
Response:
{"id": "string","estimated_cost": 0,"name": "string","created_by": "string","description": "string","spec": [0],"created_at": "string","updated_at": "string","val_errors": [{"from": "string","to": "string","err": "string","reason": "string","component_name": "string"}],"project_id": "string"}